Package ru.bitel.bgbilling.modules.payonline.common.service

# Interface PayOnlineService

All Superinterfaces:
  `PaymentServiceProvider`

public interface PayOnlineService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTransactions(String transactions)`
  `void`
  `deleteContractRebillTransaction(int rebillTransactionId)`
  `void`
  `deleteTransactions(List<Integer> transactionIds)`
  `Rebill`
  `getContractRebillTransaction(int contractId)`
  `List<IdTitle>`
  `getContractTitles(List<Integer> contractIds)`
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<RebillTransaction>`
  `searchRebillTransactions(String result, PeriodWithTime period, String[] sort, Page page)`
  `SearchResult<Transaction>`
  `searchTransactions(int contractId, String contractTitle, String transactionStatus, PeriodWithTime period, String[] sort, Page page)`

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, doManualAutopayment, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactions

    SearchResult<Transaction> searchTransactions(int contractId, String contractTitle, String transactionStatus, PeriodWithTime period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addTransactions

    void addTransactions(String transactions) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteTransactions

    void deleteTransactions(List<Integer> transactionIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractTitles

    List<IdTitle> getContractTitles(List<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractRebillTransaction

    Rebill getContractRebillTransaction(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractRebillTransaction

    void deleteContractRebillTransaction(int rebillTransactionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchRebillTransactions

    SearchResult<RebillTransaction> searchRebillTransactions(String result, PeriodWithTime period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`